layoutCemetery.mExits =
{
	[objectExitCemeteryCrypt] = 
	{
		target = layoutCrypt,
		arrowX = 512,
		arrowY = 394,
		arrowAngle = 0.6 * math.pi,
		labelX = 540,
		labelY = 337,
		labelAnchorpoint = ANCHOR_CENTER_RIGHT,
	},
	[objectExitCemeteryWoods2] = 
	{
		target = layoutWoods2,
		arrowX = 217,
		arrowY = 373,
		arrowAngle = 1.8 * math.pi,
		labelX = 130,
		labelY = 198,
		labelAnchorpoint = ANCHOR_CENTER_LEFT,
	},
}
layoutCemetery.mPOIs = 
{
}
layoutCemetery.mHOs = 
{
}
layoutCemetery.mIOs =
{
}
layoutCemetery.mFirstTime = true
layoutCemetery.mEffectMosquitos	= nil
-- ----------------------------------------------------------------------------
function layoutCemetery:onConstruct()
	
	Layout.onConstruct(self)
	
	self.mEffectMosquitos = self:newChildParticle( { name = "PARTICLE_CEMETERY_LAMP_MOSQUITOS", x=813, y=200, library="PARTICLE_LAMP_MOSQUITOS", section="particles", play=true, removeWhenFinished=false } )
	
end
-- ----------------------------------------------------------------------------
function layoutCemetery:onInitialize()

	Layout.onInitialize(self)
	
	objectExitCemeteryCrypt:ss(kActive)
	objectExitCemeteryWoods2:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function layoutCemetery:onShow()

	Layout.onShow(self)

	if (self.mFirstTime) then
		think("MESSAGE_ODDLY_FAMILIAR")
		self.mFirstTime = false
	end
	
end
-- ----------------------------------------------------------------------------
function layoutCemetery:onStartAudio()

	-- Play some outside noises
	playAmbientAudio(kSpookyAmbientGroup)

end
